%define _prefix /scisoft

# No debug information is available so disable the debug package.
%define debug_package %{nil}

Name:           scisoft-hyperz
Version:        1.1
Release:        1%{?dist}
Summary:        Photometric redshift code
Distribution:   Scisoft
Group:          Applications/Scientific
License:        Distributable. Copyright (C) 1978-2013 Gary J. Ferland
URL:            http://webast.ast.obs-mip.fr/hyperz/
Source0:        http://webast.ast.obs-mip.fr/hyperz/zphot_src_%{version}.tar.gz
Source1:        http://webast.ast.obs-mip.fr/hyperz/zphot_little_endian.tar.gz
Source2:        http://webast.ast.obs-mip.fr/hyperz/hyperz_manual.ps.gz

BuildRequires:  compat-gcc-34-g77
BuildRequires:  compat-libf2c-34

%description
From a photometric catalogue, hyperz finds the redshift of each object by means
of a standard SED fitting procedure, i.e. comparing the observed magnitudes with
the expected ones, computed from template Spectral Energy Distributions.

%prep
%setup -q -n ZPHOT
gunzip -c %{SOURCE2} > hyperz_manual.ps
cd ..
tar xzf %{SOURCE1}

%build
mkdir -p %{_builddir}/build
cd src
sed -e "s|^DEST.*|DEST=%{_builddir}/build|" -i Makefile
sed -e "s|^FFLAGS.*|FFLAGS= -O5 # Linux|" -i Makefile
make hyperz
make catalog

%install
install -m 755 -d %{buildroot}%{_datadir}/hyperz
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 -d %{buildroot}%{_docdir}/hyperz
cp -r catalog.param filter_UBVRI.param filters models spectra.param templates zphot.param %{buildroot}%{_datadir}/hyperz/
install -m 755 %{_builddir}/build/hyperz %{buildroot}%{_bindir}/
install -m 755 %{_builddir}/build/make_catalog %{buildroot}%{_bindir}/

%files
%dir %{_datadir}
%dir %{_docdir}
%doc README_zphot hyperz_manual.ps
%{_prefix}
%defattr(-,root,root,-)

%changelog
* Tue Feb 27 2018 Artur Szostak <aszostak@partner.eso.org> 1.1
- Updated to use standardised installation directory macros.
- Integrating with automated build system.

* Fri Oct 18 2013 Carlos Guirao
- Integration for scisoft 8
